
From: Dominik Brodowski <linux@dominikbrodowski.de>

Properly set the "owner" field in pcmcia-related struct device_driver.

Signed-off-by: Dominik Brodowski <linux@brodo.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/ds.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/pcmcia/ds.c~pcmcia-set-drivers-owner-field drivers/pcmcia/ds.c
--- 25/drivers/pcmcia/ds.c~pcmcia-set-drivers-owner-field	2004-12-03 18:44:30.110205752 -0800
+++ 25-akpm/drivers/pcmcia/ds.c	2004-12-03 18:44:30.114205144 -0800
@@ -283,6 +283,7 @@ int pcmcia_register_driver(struct pcmcia
 		return -EINVAL;
 
 	driver->drv.bus = &pcmcia_bus_type;
+	driver->drv.owner = driver->owner;
 
 	return driver_register(&driver->drv);
 }
_
